ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.22, 0.02, "Taste Numpad 0: Info Panel on");
	 else
		renderText(0.72, 0.22, 0.02, "Taste Numpad 0: Info Panel off");
		renderText(0.72, 0.86, 0.025, "- Fendt 818 Vario -");		
		
		renderText(0.72, 0.82, 0.025, "- Lichtinfo -");		
		
		renderText(0.72, 0.78, 0.02, "Pos1    : Rundumleuchte ein/aus");
		renderText(0.72, 0.76, 0.02, "Numpad 5: Arbeitslicht vorne an/aus");
		renderText(0.72, 0.74, 0.02, "Numpad 6: Arbeitslicht hinte an/aus");
		renderText(0.72, 0.72, 0.02, "Numpad 1: Blinker Links");
		renderText(0.72, 0.70, 0.02, "Numpad 2: Warnblinker");
		renderText(0.72, 0.68, 0.02, "Numpad 3: Blinker Rechts");
		
		renderText(0.72, 0.64, 0.025, "- Sonstiges -");		
		
		renderText(0.72, 0.60, 0.02, "Numpad 8: Heckscheibe auf/zu");			
		renderText(0.72, 0.58, 0.02, "Numpad 7: Tuer links auf/zu");
		renderText(0.72, 0.56, 0.02, "Numpad 9: Tuer rechts auf/zu");
		renderText(0.72, 0.54, 0.02, "Numpad 4: Frontscheibe auf/zu");

		renderText(0.72, 0.50, 0.02, "Taste  6: Dachluke");
		renderText(0.72, 0.48, 0.02, "Taste  7: Pflegebereifung ein/aus");
		renderText(0.72, 0.46, 0.02, "Taste  8: Attacher hoch/runter");
		renderText(0.72, 0.44, 0.02, "Taste  V: Hydraulik heben/senken");
		renderText(0.72, 0.42, 0.02, "Taste  B: Zapfwelle ein/aus");
		renderText(0.72, 0.40, 0.02, "Taste  K: Kupplung");
		renderText(0.72, 0.38, 0.02, "Taste  N: Scheibenwischer an/aus");
		renderText(0.72, 0.36, 0.02, "RMT Links/Rechts: Fronthydraulik");
		renderText(0.72, 0.34, 0.02, "RMT Hoch/Runter: Heckhydraulik");


		
        renderText(0.72, 0.26, 0.02, "by Desperados93");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;